stages:
  - test

variables:
  VENV_DIR: "${CI_PROJECT_DIR}/.venv"

default:
  cache:
    paths:
      - "${VENV_DIR}"
    key: $CI_COMMIT_REF_SLUG
  image: python:3.12.3-alpine

python-setup-job:
  stage: .pre
  script:
    - |
      if [[ ! -r "${VENV_DIR}/bin/activate" ]]; then
          pip install virtualenv
          virtualenv "${VENV_DIR}"
      fi
    - source "${VENV_DIR}/bin/activate"
    - pip list
    - pip install -r requirements.txt

test-job:
  stage: test
  script:
    - source "${VENV_DIR}/bin/activate"
    - pip list